Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan Struct Reference

Comparator function to be used for sorting. More...

`#include <OgreShaderFunctionAtom.h>`

List of all members.

## Public Member Functions

bool | operator() (FunctionInvocation const &lhs, FunctionInvocation const &rhs) const

## Detailed Description

Comparator function to be used for sorting.

Implemented as a struct to make it easier for the compiler to inline

Definition at line 223 of file OgreShaderFunctionAtom.h.

## Member Function Documentation

bool Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan::operator() | ( | FunctionInvocation const & | lhs,
|  | FunctionInvocation const & | rhs
| ) |  | const

The documentation for this struct was generated from the following file:

- OgreShaderFunctionAtom.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:05